/// <reference types="cypress" />
import { ViteDevServer, UserConfig } from 'vite';
interface Options {
    specs: Cypress.Cypress['spec'][];
    config: Record<string, string>;
    devServerEvents: EventEmitter;
    [key: string]: unknown;
}
export interface StartDevServer {
    /**
     * the Cypress options object
     */
    options: Options;
    /**
     * By default, vite will use your vite.config file to
     * Start the server. If you need additional plugins or
     * to override some options, you can do so using this.
     * @optional
     */
    viteConfig?: UserConfig;
}
export declare function start(devServerOptions: StartDevServer): Promise<ViteDevServer>;
export {};
